/*****************************************************************************/
/*                                                                           */
/*  NetReconstruct kappa version                                             */
/*                                                                           */
/*  Software to perform phylogenetic network reconstructions when            */
/*  diploid hybrids are part of the evolutionary history.                    */
/*                                                                           */
/*  Copyright (C) 2007 Monique M. Morin                                      */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include "globals.h"

/********************/
/*     variables    */
/********************/
char dna_dist_custom_file_name[DNA_DIST_CUSTOM_FN_STR_LENGTH];
char infile_name[MAX_INFILE_NAME_LENGTH];
char token_char[MAX_TOKEN];

long input_seed;

int strand_summed_hd;
int dna_dist_model;
int dna_dist_model_yn;
int extant_taxa_read;
int hyb_parent_hit_ctr;
int last_hyb_parent_hit;
int mp_phylip_thresh;
int num_strands_per_hom_chrom;
int num_hom_chromos;
int num_extant_total;
int num_impacted_by_hybrid;
int num_not_impacted;
int num_impacted_by_parents;
int num_impacted_by_p1;
int num_impacted_by_p2;
int outgroup_adjustment;
int outgroup_taxon_id;
int parental_offspring_id_method;
int recon_type;
int sequence_length;
int subtree_listing_ctr;
int token_int;
int token_type;

float token_float;

FILE *fp_in;
FILE *fp_temp_in;
FILE *fp_out;
FILE *fp_temp_out;

