/*****************************************************************************/
/*                                                                           */
/*  NetReconstruct kappa version                                             */
/*                                                                           */
/*  Software to perform phylogenetic network reconstructions when            */
/*  diploid hybrids are part of the evolutionary history.                    */
/*                                                                           */
/*  Copyright (C) 2007 Monique M. Morin                                      */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _OUTPUT_H
#define _OUTPUT_H

// high-level function
void NetworkReport(NETWORK nt);  

// sub-functions
void SummaryStats(NETWORK nt);
void InputtedExtantTaxa(NETWORK nt);
void NetworkTopology(NETWORK nt);
void ParsimonyScoreReport(NETWORK nt);
void HybridHDHeightReport(NETWORK nt);
void AllTaxa(NETWORK nt);

void PrintNewick(NODE treenode, int id_opt, int bl_opt);
void PrintModifiedNewick(NODE treenode, int id_opt, int bl_opt);

// NOTE:  topo routines -- ie printmodifiednewick is hardcoded for
//        one hybrid -- this can be overcome by using another
//        marker for the node and having that be of use when
//        deciding if going to p1next or p2next -- see NM code
//        for details -- esp dfs_marker in DFS routine!!!!!!!

#endif
