/*****************************************************************************/
/*                                                                           */
/*  NetReconstruct kappa version                                             */
/*                                                                           */
/*  Software to perform phylogenetic network reconstructions when            */
/*  diploid hybrids are part of the evolutionary history.                    */
/*                                                                           */
/*  Copyright (C) 2007 Monique M. Morin                                      */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _PHYLIPINTER_H
#define _PHYLIPINTER_H

/*****************/
/*    input      */
/*****************/
void WriteInputFile(NETWORK nt, int ctr, NODE og, int subtree_id);
void WriteFirstLine(NODE nd, int num_secs_per_line, int bps_per_section,
                    int total_num_bps);
void WriteSubsequentLines(NODE nd, int num_secs_per_line, int bps_per_section,
                          int total_num_bps, int line_i);


/*********************/
/*    PHYLIP calls   */
/*********************/
void ExecuteDnaPenny(NETWORK nt, int subtree_id);
void WriteDnaPennyOptFile(NETWORK nt, int subtree_id);

void ExecuteDnaDist(NETWORK nt);
void WriteDnaDistOptFile(NETWORK nt);

void ExecuteNeighbor(NETWORK nt);
void WriteNeighborOptFile(NETWORK nt);

void ExecuteConsense(NETWORK nt, int subtree_id);
void WriteConsenseOptFile(NETWORK nt, int subtree_id);

#endif
