/*****************************************************************************/
/*                                                                           */
/*  RANDIP kappa version                                                     */
/*                                                                           */
/*  Software to perform random tree reconstruction for use with NR code.     */
/*                                                                           */
/*  Copyright (C) 2007 Monique M. Morin                                      */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _GLOBALS_H
#define _GLOBALS_H

/***************************/
/*     global constants    */
/***************************/

#define MAX_INFILE_NAME_LENGTH 200
#define MAX_LEAVES 1000
#define MAX_LINE_LENGTH 10000 // these are used in input routine -- check
#define MAX_SEQ_LENGTH  10000 // there before changing values.....
                              // (giving them matching values is a good idea)
#define MAX_NODES 2500
#define MAX_NODE_ID 999999999 // limit for phylip is 10 spaces
                              // we use ids so make sure value is smaller
			      // than this (9 9's)

/********************/
/*     variables    */
/********************/

// These are input values from the user that are needed
// all over the place and central structures

extern char infile_name[MAX_INFILE_NAME_LENGTH];

extern long input_seed;
extern long max_tries;

extern int available_count;
extern int num_extant_total;

extern FILE *fp_in; // global input
extern FILE *fp_outfile; // global output
extern FILE *fp_outtree; // global output

#endif
