/*****************************************************************************/
/*                                                                           */
/*  RANDIP kappa version                                                     */
/*                                                                           */
/*  Software to perform random tree reconstruction for use with NR code.     */
/*                                                                           */
/*  Copyright (C) 2007 Monique M. Morin                                      */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _TREE_H
#define _TREE_H

/***********************************************************************/
/*                          Tree Structure                             */
/***********************************************************************/
struct tree {
  NODE root;
  NODE NodeArray[MAX_NODES];        // has all nodes 
				    
  // note:  a node's internal id should be the same as its index into NodeArray
  
  int node_id_ctr;          // tracks what the next node id should be
  int num_unique_nodes; 
  int num_unique_extant_leaves;
};

typedef struct tree TREETYPE;
typedef struct tree* TREE;

// set-up/clean-up
TREE NewTree();
void CleanUpMemory(TREE tr);

void ResetMarkersAll(TREE nt);
void ResetAvailMarkersAll(TREE nt, int val);

#endif
